Description

Supportanfrage

Ich habe gehört für ADTF 3 werden QT Lizenzen für die Entwicklung benötigt.

In ADTF wurden diese nicht benötigt.

Ich habe dazu folgende Fragen:

Gibt bzgl. QT unterschiedliche Lizenzen / Modelle und welche werden ihrerseits empfohlen?

Wird die QT Lizenz generell benötigt wenn Filter / Services kompiliert werden oder nur wenn QT als Oberflächenelement

eingebunden wird?

Gibt es weitere zusätzliche Lizenzen (im Unterschied zu ADTF2) die für das ADTF 3 Grundsystem noch benötigt werden.

Lösung

ich kann dich beruhigen, es hat sich nichts bzgl. Qt von ADTF 2.x auf ADTF 3.x geändert außer die Version.

Beide ADTF Major Versionen verwenden Qt in der Open Source Variante und wir liefern auch alle Abhängigkeiten, welche unter der

LGPL stehen und filtern die "bösen" GPL Komponenten heraus.

Solange du also diese Komponenten verwendest, bist du sauber.

Siehe:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_qt.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_license_information.html

Du musst nur etwas mit dem Wording aufpassen.

Natürlich benötigst du immer eine Qt Lizenz, in diesem Fall aber die Open Source und nicht die kommerzielle Variante.

Du könntest auch gar nicht die kommerzielle Lizenz nutzen, weil das Qt unterbindet (die beiden Varianten sind inkompatibel).

Hierzu sind wir mit Qt derzeit in Klärung und ziehen ggf. auch in Erwägung, Qt kommerziell einzusetzen unter dem Hintergrund, das

Qt sein LTS Modell geändert hat.

Vielleicht hast du das mitbekommen, das ist aber noch in Klärung und am Ende muss definiert sein, was wie zu verwenden ist, ohne

Nachteil für ADTF und die Anwender.

Grundsätzlich zur Lizenzthematik:

Qt oder ADTF machen hier nichts besonderes, du musst immer die Lizenzbedindungen erfüllen, auch beim Einsatz von 3rd Party

Abhängigkeiten, hier kann dir ADTF nicht helfen.

Solange du aber immer ADTF so wie es ist verwendest, wirst du keine Probleme haben.

Trotzdem solltest du bei Produkten die ihr vertreibt natürlich eine Open Source und rechtliche Prüfung in House absegnen.

Nochmal zu deinen konkreten Fragen:

ich habe gehört für ADTF 3 werden QT Lizenzen für die Entwicklung benötigt.

In ADTF wurden diese nicht benötigt.

 Du brauchst eine ADTF und eine Qt Lizenz, welche aber Open Source ist.

Das war und ist so in ADTF 2.x als auch in ADTF 3.x.
Gibt bzgl. QT unterschiedliche Lizenzen / Modelle und welche werden ihrerseits empfohlen?

 Qt gibt es Open Source und Kommerziell, theoretisch sogar in einer "Reseller" Variante, was aber auch Kommerziell ist.

ADTF verwendet Qt Open Source und beschränkt sich dabei auf die LGPL Anteile, da ansonsten der Quellcode mit GPL infiziert wird

(z.B. QtCharts) und demnach ADTF unter eine GPL kompatible Open Source Lizenz gestellt werden müsste.

Hinweis am Rande: Das ist der Grund, warum die DAT GUI Tools ein gesondertes Open Source Produkt sind

Noch ein allgemeiner Hinweis: Ihr könnt natürlich GPL Komponenten einsetzen für interne Zwecke. Was ihr aber z.B. nicht dürft, sind

ADTF Komponenten zu vertreiben, die GPL Abhängkeit haben (egal ob ihr euren Code offen legt oder nicht), denn die "böse" GPL

hat auch einen combined work Absatz, und demnach müsste der Launcher und Core Objects (als Teile der gemeinsamen

Plugin-Instanz) auch Open Source sein. Kurz: ADTF und GPL Lizenz verträgt sich nicht. Es gibt aber Bestrebungen, Teile von ADTF

offen zu legen oder kommerzielle Abhängigkeiten zu nutzen. Das betrifft nicht nur Qt, sondern alle GPL Libraries. das nur am

Rande, das sollte euch normalerweise eure Rechtsabteilung auch sagen :-) Hat aber weniger was mit dem Thema des Tickets zu tun

Wird die QT Lizenz generell benötigt wenn Filter / Services kompiliert werden oder nur wenn QT als Oberflächenelement

eingebunden wird?

 Das ist egal. Sobald du in deinen Source Code Open Source Abhängigkeiten verwendest, hast du dessen Lizenz zu beachten, in

den meisten Fällen musst du das einfach angeben.

Wenn du kommerzielle Lizenzen nutzt, dann nicht (was aber wie gesagt im Falle von Qt hier ausscheidet, zumindest aktuell, wir sind

wie gesagt in Klärung, weil der Lizenztext von Qt das nicht sauber abbildet, wenn man ein Framework schafft (=ADTF), was Qt

kommerziell verwendet und der Anwender ggf. nur Open Source. Das muss unser Meinung nach möglich sein!

Gibt es weitere zusätzliche Lizenzen (im Unterschied zu ADTF2) die für das ADTF 3 Grundsystem noch benötigt werden.

 Nein, du kannst ADTF mit der ADTF Lizenz verwenden, hier sind auch die Standard Toolboxen dabei.

Wenn du Abhängigkeiten in deinen Filtern hast, egal ob bereits von ADTF verwendet (z.B. Qt, OSG, SDL, OpenGL) oder nicht (z.B.

OpenCV o.ä.), hast du dafür Sorge zu tragen, die Lizenzbedingungen nicht zu erfüllen. Beim Einsatz kommerzieller Software

bedeutet das zumeist Geld, bei Open Source eine Erwähnung oder Offenlegung.

Ich hoffe das beantwortet deine Fragen und löst Zweifel, was du zu tun hast aber auch was ADTF und Qt betrifft.

History

#1 - 2020-05-27 12:45 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::License

#2 - 2020-05-27 19:26 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Thomas,

ich kann dich beruhigen, es hat sich nichts bzgl. Qt von ADTF 2.x auf ADTF 3.x geändert außer die Version.

Beide ADTF Major Versionen verwenden Qt in der Open Source Variante und wir liefern auch alle Abhängigkeiten, welche unter der LGPL stehen

und filtern die "bösen" GPL Komponenten heraus.

Solange du also diese Komponenten verwendest, bist du sauber.

Siehe:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_qt.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_license_information.html

Du musst nur etwas mit dem Wording aufpassen.

Natürlich benötigst du immer eine Qt Lizenz, in diesem Fall aber die Open Source und nicht die kommerzielle Variante.

Du könntest auch gar nicht die kommerzielle Lizenz nutzen, weil das Qt unterbindet (die beiden Varianten sind inkompatibel).

Hierzu sind wir mit Qt derzeit in Klärung und ziehen ggf. auch in Erwägung, Qt kommerziell einzusetzen unter dem Hintergrund, das Qt sein LTS

Modell geändert hat.

Vielleicht hast du das mitbekommen, das ist aber noch in Klärung und am Ende muss definiert sein, was wie zu verwenden ist, ohne Nachteil für

ADTF und die Anwender.

Grundsätzlich zur Lizenzthematik:

Qt oder ADTF machen hier nichts besonderes, du musst immer die Lizenzbedindungen erfüllen, auch beim Einsatz von 3rd Party Abhängigkeiten,

hier kann dir ADTF nicht helfen.

Solange du aber immer ADTF so wie es ist verwendest, wirst du keine Probleme haben.
Trotzdem solltest du bei Produkten die ihr vertreibt natürlich eine Open Source und rechtliche Prüfung in House absegnen.

Nochmal zu deinen konkreten Fragen:

ich habe gehört für ADTF 3 werden QT Lizenzen für die Entwicklung benötigt.

In ADTF wurden diese nicht benötigt.

 Du brauchst eine ADTF und eine Qt Lizenz, welche aber Open Source ist.

Das war und ist so in ADTF 2.x als auch in ADTF 3.x.

Gibt bzgl. QT unterschiedliche Lizenzen / Modelle und welche werden ihrerseits empfohlen?

 Qt gibt es Open Source und Kommerziell, theoretisch sogar in einer "Reseller" Variante, was aber auch Kommerziell ist.

ADTF verwendet Qt Open Source und beschränkt sich dabei auf die LGPL Anteile, da ansonsten der Quellcode mit GPL infiziert wird (z.B. QtCharts)

und demnach ADTF unter eine GPL kompatible Open Source Lizenz gestellt werden müsste.

Hinweis am Rande: Das ist der Grund, warum die DAT GUI Tools ein gesondertes Open Source Produkt sind

Noch ein allgemeiner Hinweis: Ihr könnt natürlich GPL Komponenten einsetzen für interne Zwecke. Was ihr aber z.B. nicht dürft, sind ADTF

Komponenten zu vertreiben, die GPL Abhängkeit haben (egal ob ihr euren Code offen legt oder nicht), denn die "böse" GPL hat auch einen combined

work Absatz, und demnach müsste der Launcher und Core Objects (als Teile der gemeinsamen Plugin-Instanz) auch Open Source sein. Kurz: ADTF

und GPL Lizenz verträgt sich nicht. Es gibt aber Bestrebungen, Teile von ADTF offen zu legen oder kommerzielle Abhängigkeiten zu nutzen. Das

betrifft nicht nur Qt, sondern alle GPL Libraries. das nur am Rande, das sollte euch normalerweise eure Rechtsabteilung auch sagen :-) Hat aber

weniger was mit dem Thema des Tickets zu tun

Wird die QT Lizenz generell benötigt wenn Filter / Services kompiliert werden oder nur wenn QT als Oberflächenelement eingebunden wird?

 Das ist egal. Sobald du in deinen Source Code Open Source Abhängigkeiten verwendest, hast du dessen Lizenz zu beachten, in den meisten Fällen

musst du das einfach angeben.

Wenn du kommerzielle Lizenzen nutzt, dann nicht (was aber wie gesagt im Falle von Qt hier ausscheidet, zumindest aktuell, wir sind wie gesagt in

Klärung, weil der Lizenztext von Qt das nicht sauber abbildet, wenn man ein Framework schafft (=ADTF), was Qt kommerziell verwendet und der

Anwender ggf. nur Open Source. Das muss unser Meinung nach möglich sein!

Gibt es weitere zusätzliche Lizenzen (im Unterschied zu ADTF2) die für das ADTF 3 Grundsystem noch benötigt werden.

 Nein, du kannst ADTF mit der ADTF Lizenz verwenden, hier sind auch die Standard Toolboxen dabei.

Wenn du Abhängigkeiten in deinen Filtern hast, egal ob bereits von ADTF verwendet (z.B. Qt, OSG, SDL, OpenGL) oder nicht (z.B. OpenCV o.ä.),

hast du dafür Sorge zu tragen, die Lizenzbedingungen nicht zu erfüllen. Beim Einsatz kommerzieller Software bedeutet das zumeist Geld, bei Open

Source eine Erwähnung oder Offenlegung.

Ich hoffe das beantwortet deine Fragen und löst Zweifel, was du zu tun hast aber auch was ADTF und Qt betrifft.

#4 - 2020-06-09 12:24 - hidden

- Project changed from 5 to Public Support

- Subject changed from QT-Lizenzen für ADTF 3 to Qt license for ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
